# XMLWriter::endDtdElement

# xmlwriter_end_dtd_element

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::endDtdElement -- xmlwriter_end_dtd_element — End current DTD element

### Description

Object oriented style

XMLWriter::endDtdElement ( void ) : bool

Procedural style

xmlwriter_end_dtd_element ( resource `$xmlwriter` ) : bool

Ends the current DTD element.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDtdElement() - Create start DTD element
- XMLWriter::writeDtdElement() - Write full DTD element tag